data:extend(
{
  { type = "technology", name = "advanced-drilling",
    icon = "__balanced-better-drills__/graphics/icons/drillicon64.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fast-mining-drill"
      },
      {
        type = "unlock-recipe",
        recipe = "steel-mining-drill"
      },
    },
    prerequisites = {"electric-energy-distribution-1"},
    unit =
    {
      count = 60,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 45
    },
    order = "a-g-a"
  },
  { type = "technology", name = "advanced-drilling-2",
    icon = "__balanced-better-drills__/graphics/icons/drillicon64.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fast-steel-mining-drill"
      }
    },
    prerequisites = {"advanced-drilling","modules"},
    unit =
    {
      count = 60,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
      },
      time = 60
    },
    order = "a-g-b",
	upgrade = true
  },
})

--table.insert(data.raw["technology"]["armor-making-3"].prerequisites,"miniaturization-1")
